# This file is generated by numpy's setup.py
# It contains system_info results at the time of building this package.
__all__ = ["get_info","show"]



import os
import sys

extra_dll_dir = os.path.join(os.path.dirname(__file__), '.libs')

if sys.platform == 'win32' and os.path.isdir(extra_dll_dir):
    os.environ.setdefault('PATH', '')
    os.environ['PATH'] += os.pathsep + extra_dll_dir

blas_info={'libraries': ['cblas', 'blas'], 'library_dirs': ['/usr/local/lib'], 'language': 'c', 'define_macros': [('HAVE_CBLAS', None)], 'include_dirs': ['/usr/local/include', '/usr/include']}
atlas_3_10_blas_info={}
lapack_info={'libraries': ['lapack', 'lapack'], 'library_dirs': ['/usr/local/lib'], 'language': 'f77'}
atlas_3_10_blas_threads_info={}
atlas_threads_info={}
blas_opt_info={'libraries': ['cblas', 'blas'], 'library_dirs': ['/usr/local/lib'], 'define_macros': [('NO_ATLAS_INFO', 1), ('HAVE_CBLAS', None)], 'language': 'c', 'include_dirs': ['/usr/local/include', '/usr/include']}
blis_info={}
atlas_blas_threads_info={}
openblas_info={}
accelerate_info={}
lapack_opt_info={'libraries': ['lapack', 'lapack', 'cblas', 'blas'], 'library_dirs': ['/usr/local/lib'], 'define_macros': [('NO_ATLAS_INFO', 1), ('HAVE_CBLAS', None)], 'language': 'c', 'include_dirs': ['/usr/local/include', '/usr/include']}
openblas_clapack_info={}
openblas_lapack_info={}
atlas_3_10_threads_info={}
atlas_info={}
atlas_3_10_info={}
lapack_mkl_info={}
blas_mkl_info={}
atlas_blas_info={}

def get_info(name):
    g = globals()
    return g.get(name, g.get(name + "_info", {}))

def show():
    for name,info_dict in globals().items():
        if name[0] == "_" or type(info_dict) is not type({}): continue
        print(name + ":")
        if not info_dict:
            print("  NOT AVAILABLE")
        for k,v in info_dict.items():
            v = str(v)
            if k == "sources" and len(v) > 200:
                v = v[:60] + " ...\n... " + v[-60:]
            print("    %s = %s" % (k,v))
    